#
# FILE:   ui_script.tcl
# AUTHOR: Colin Perkins <csp@isi.edu>
#
# Copyright (c) 2001-2002 University of Southern California
#
# Redistribution and use in source and binary forms, with or without
# modification, is permitted provided that the following conditions
# are met:
# 
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
# 
# 3. All advertising materials mentioning features or use of this software
#    must display the following acknowledgement:
# 
#      This product includes software developed by the University of Southern
#      California Information Sciences Institute.
# 
# 4. Neither the name of the University nor of the Institute may be used
#    to endorse or promote products derived from this software without
#    specific prior written permission.
# 
# THIS SOFTWARE IS PROVIDED BY THE AUTHORS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING,
# BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
# AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
# EVENT SHALL THE AUTHORS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
# INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
# SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
# EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
# $Revision: 1.1.1.1 $
# $Date: 2003/06/03 21:34:43 $
#

set main_font   [font actual {helvetica 10}]

option add *Entry.relief       sunken 
option add *borderWidth        1
option add *highlightThickness 0
option add *font               $main_font
option add *Menu*tearOff       0

# -------------------------------------------------------------------------------------------------
# The participant list...

frame     .plist
scrollbar .plist.sb -orient vertical -relief flat -command ".plist.lb yview"
listbox   .plist.lb -width 25 -height 25 -yscrollcommand ".plist.sb set" -selectmode single -exportselection false -font $main_font

#pack .plist.sb -side left -expand 0 -fill y -anchor w 
#pack .plist.lb -side left -expand 1 -fill both 
#pack .plist -expand 1 -fill both

# -------------------------------------------------------------------------------------------------
# The control panel...

toplevel      .control
frame         .control.video

frame         .control.video.rx        -relief raised
label         .control.video.rx.title  -text "Video Reception" 
radiobutton   .control.video.rx.enable -text "Enable"
tk_optionMenu .control.video.rx.device video_rx_device one two three

frame         .control.video.tx        -relief raised
label         .control.video.tx.title  -text "Video Transmission" 
radiobutton   .control.video.tx.enable -text "Enable"
tk_optionMenu .control.video.tx.device video_tx_device one two three

pack .control.video.rx.title  -side top  -fill x
pack .control.video.rx.enable -side top  -fill x
pack .control.video.rx.device -side top  -fill x
pack .control.video.rx        -side left 

pack .control.video.tx.title  -side top  -fill x
pack .control.video.tx.enable -side top  -fill x
pack .control.video.tx.device -side top  -fill x
pack .control.video.tx        -side left 
pack .control.video

# -------------------------------------------------------------------------------------------------


